Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.merge
Class DropTableToModel

    java.lang.Object
      org.apache.cayenne.merge.AbstractToModelToken
          org.apache.cayenne.merge.DropTableToModel

All Implemented Interfaces:
  MergerToken

    public class DropTableToModel

extends AbstractToModelToken

A `MergerToken` to remove a `DbEntity` from a `DataMap`. Any `ObjEntity` mapped to the `DbEntity` will also be removed.

Constructor Summary
`DropTableToModel(DbEntity entity)`

Method Summary
`MergerToken` | `createReverse(MergerFactory factory)` Create a token with the reverse direction.
`void` | `execute(MergerContext mergerContext)`
`DbEntity` | `getEntity()`
`String` | `getTokenName()`
`String` | `getTokenValue()`

Methods inherited from class org.apache.cayenne.merge.AbstractToModelToken
`getDirection, objEntitiesMappedToDbEntity, remove, remove, synchronizeWithObjEntity, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DropTableToModel

    public DropTableToModel(DbEntity entity)

Method Detail

### createReverse

    public MergerToken createReverse(MergerFactory factory)

  Description copied from interface: `MergerToken`
  Create a token with the reverse direction. AddColumn in one direction becomes DropColumn in the other direction.

  Not all tokens are reversible.

### execute

    public void execute(MergerContext mergerContext)

### getTokenName

    public String getTokenName()

### getEntity

    public DbEntity getEntity()

### getTokenValue

    public String getTokenValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 Apache Cayenne. All Rights Reserved.